Remotehost Docs
API ReferenceAgent tokens

List personal agent tokens

GET
/me/agent-tokens

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/me/agent-tokens"
{  "tokens": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "token_prefix": "string",      "scopes": [        "agent_session.read"      ],      "created_at": "string",      "expires_at": "string",      "revoked_at": "string"    }  ]}